curl --location 'http://fssportal.com/api/v1/room/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"room_id": 4945,
"name": "Harry's Room"
}'
const response = await fetch('http://fssportal.com/api/v1/room/update', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"room_id": 4945,
"name": "Harry's Room"
})
});
const data = await response.json();
{
"message": "Room updated successfully.",
"data": []
}
Room Management
Update Room
Update an existing room
POST
/
api
/
v1
/
room
/
update
curl --location 'http://fssportal.com/api/v1/room/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"room_id": 4945,
"name": "Harry's Room"
}'
const response = await fetch('http://fssportal.com/api/v1/room/update', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"room_id": 4945,
"name": "Harry's Room"
})
});
const data = await response.json();
{
"message": "Room updated successfully.",
"data": []
}
Endpoint
POST /api/v1/room/update
This endpoint requires authentication
Headers
string
required
Your API access token. You can also set this globally in the API playground.
string
required
The platform making the request:
WEB, IOS, or ANDROID.Request Body
integer
required
The unique identifier of the room to update.
string
name
Response
string
message
array
data
curl --location 'http://fssportal.com/api/v1/room/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"room_id": 4945,
"name": "Harry's Room"
}'
const response = await fetch('http://fssportal.com/api/v1/room/update', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"room_id": 4945,
"name": "Harry's Room"
})
});
const data = await response.json();
{
"message": "Room updated successfully.",
"data": []
}
Notes
- Authentication is required
